version: '2'

services:
  nginx:
    container_name: bitrading-auth_nginx
    build:
      context: ./
      dockerfile: ./nginx/Dockerfile
    ports:
      - "443:443"
    depends_on:
      - express
    environment:
      EXPRESS_HOST: express
      EXPRESS_PORT: ${EXPRESS_PORT}
    networks:
      - app-network
    links:
      - express:express
  express:
    container_name: bitrading-auth_express
    build:
      context: ./
      dockerfile: ./express/Dockerfile
    depends_on:
      - db
    environment:
      USE_HTTPS: ${EXPRESS_USE_HTTPS}
      DB_HOST: db
      DB_PORT: '3306'
      DB_USER: ${DB_USER}
      DB_PASSWD: ${DB_PASSWORD}
      DB_DB: ${DB_DB}
    networks:
      - app-network
  db:
    container_name: bitrading-auth_db
    image: mariadb:10.3
    volumes:
      - ./db/mysql:/var/lib/mysql
      - ./db/config:/etc/mysql
    environment:
      MYSQL_ROOT_PASSWORD: ${DB_ROOT_PASSWORD}
      MYSQL_USER: ${DB_USER}
      MYSQL_PASSWORD: ${DB_PASSWORD}
      MYSQL_DATABASE: ${DB_DB}
    networks:
      - app-network

networks:
  app-network:
    driver: bridge
